Create HD step policy

Creates an interval (step) in an HD step policy.

An HD step policy is an insurance payment structure that follows a step-like function, where the payment amount is a prescribed value over a certain interval (step) and jumps to another prescribed value in an adjacent interval. HD step policies support both simple steps and interaction steps.

A step policy is defined by a unique ID (stepPolicyNumber) and two or more steps. Steps are ordered within the step policy by a numerical stepOrderId. Every step in the step policy is either a simple step or an interaction step. A step policy may consist wholly of simple steps or a combination of simple steps and interaction steps.

📷

Step Policy (DLM model)

Risk Data API also supports DLM step policies based on the DLM model framework.

To create DLM step policies, see the Create Policy

Simple steps

A simple step is a step interval that identifies a trigger for payout and criteria for triggering the payout. Payout is a constant, flat amount. Meaning that the Standard value is specified for the payoutFunction parameter.

The simple step is defined by an lob, causeOfLoss, inceptionDate, expirationDate, coverageBase, and limitGU parameters.

In simple steps, the childOrderId parameter is ignored and the value subjectFunction parameter is None.

Interaction steps

An interaction step defines functions (payoutFunction and subjectFunction) that operate on other steps (childOrderId) or limits that cap payouts.

In interaction steps, payout is defined as a limit. Meaning that the Step value is specified for the payoutFunction parameter.

Interaction steps do not use causeOfLoss for financial modeling because cause of loss is entirely determined by the simple steps, but Moody's still recommends coding causeOfLoss for all steps to facilitate querying all steps within a step program.

In interaction steps, the lob, causeOfLoss, inceptionDate, expirationDate, coverageBase, and limitGU parameters are ignored. The lob, inceptionDate, expirationDate, coverageBase, and limitGU parameters is not applicable to interaction steps.

Different parameters are required or ignored depending on the whether a step is a simple step or interaction step.

ParameterSimple StepInteraction Step
exposureIdRequiredRequired
stepPolicyNumberRequiredRequired
lobRequiredN/A
causeOfLossRequiredN/A
inceptionDateRequiredRequired ignored
expirationDateRequiredRequired ignored
payoutFunctionStandardStep
childOrderIdN/ARequired
subjectFunctionNone
coverageBaseNOT_APPLICABLE
limitGUN/A
Path Params
int64
required
≥ 1

ID of EDM.

Body Params
int32
≥ 1

ID of account.

string
required
length between 1 and 50

Number of HD step policy. Unique within portfolio.

string
length between 0 and 50

Name of HD step policy.

int32

ID of step (interval) within a step policy.

Unique within an accountId, e.g, Account1 can have steps 1-3, and Account2 can have steps 1-4.

lob
object

Type of business covered, e.g. fire, commercial, personal, auto, or residence. Not applicable to interaction steps.

Determines level of output if the granularity specified in output profile is based on the LOB (e.g. Cresta by LOB). If multiple lobIds are specified, the lowest lobId is used.

string
enum

Subperil or combined subperils that trigger loss.

Options can specify collection of subperils, e.g. if WATER is specified either coastal flood and inland flood trigger loss, but wind is excluded as trigger. Not applicable to interaction steps.

string
required

Start date of policy in 8601 format, e.g. 2020-01-01T00:00:00.000Z. If multiple dates are specified in the HD step policy, earliest inceptionDate is used. Not applicable to interaction steps.

Applicable if Apply Contract Dates option is specified in model profile, otherwise first year in period event table is used.

string
required

End date of policy in 8601 format, e.g. 2020-01-01T00:00:00.000Z. If multiple dates are specified in the HD step policy, latest expirationDate is used. Not applicable to interaction steps.

When the Apply Contract Dates option is selected for HD model profiles, an analysis considers the earliest inception date and the latest expiration date across all the policies in an account.

If an account has HD step policies only, the analysis considers the earliest inception date (and latest expiration date) across all relevant child steps as the contract inception (and expiration) date, i.e., for cases where childOrderId is an empty string. It ignores interaction record dates.

double

Maximum amount covered by the insurer for the specified policy peril.

  • If less than or equal to 1, percent of replacement cost value affected.
  • If greater than 1 , monetary amount.
currency
object

Currency of HD step policy.

string
enum

Method used to determine payoutAmount.

  • If Standard, the value of payoutAmount represents a constant, flat amount. Typical of simple steps.
  • If Step, the value of payoutAmount represents a cap on the amount payout. Typical of interaction steps.
Allowed:
double

Percent share of total payout represented by step. A value between -1 and 1, e.g. 1 = 100%, 0.5 = 50%. A value of 0 is treated as no coverage.

double

Loss threshold that triggers step to pay out.

  • If less than or equal to 1, percent of replacement cost value affected.
  • If greater than 1 , monetary amount.
string
enum

Determines if the payouts, deductibles, and calculations are per risk (Standard) or per building (Step).

  • If Step, terms (payoutAmount and excessAmount) are applied per building. If the step policy covers multiple locations that have a single building, the terms apply to each location. If the step policy covers multiple locations that each have multiple buildings, terms apply to each building separately.
  • If Standard, terms (payoutAmount and excessAmount) are applied per risk. Indicates that the terms apply to the total loss from all locations covered by the policy. If a single simple step is flagged as per risk, all other simple steps and interaction steps are considered per risk.
Allowed:
string

Comma-separated list of stepOrderId values. Used in interaction steps to identify steps that are subject to the specified subjectFuction. Not applicable to simple steps.

string
enum

Function used to calculate payout for steps identified in childOrderId.

  • If simple step, None.
  • If interaction step, one Min, Max, or Sum to identify the function applied to payout of childOrderId steps or to identify additional action on current step.
Allowed:
string
enum

Loss type or coverages that can trigger payout. Not applicable to interaction steps.

string
enum

Scope of payment by step. Payment may be limited to ground up losses. Not applicable to interaction steps.

Allowed:
Responses

Language
Credentials
URL
Response
Choose an example:
*/*
application/json